com.digi.xbee.api.models

## Enum HardwareVersionEnum

- java.lang.Object
- - java.lang.Enum<HardwareVersionEnum>
  - - com.digi.xbee.api.models.HardwareVersionEnum

- All Implemented Interfaces:
    Serializable, Comparable<HardwareVersionEnum>

      public enum HardwareVersionEnum
      extends Enum<HardwareVersionEnum>

  Enumerates the different hardware versions of the XBee devices.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABANDONATED`
    `AMBER_MBUS`
    `SMT_475LP`
    `SMT_900LP`
    `SMT_WIFI_ATHEROS`
    `SRD_868_GEN3`
    `WIFI_ATHEROS`
    `X08_004`
    `X09_001`
    `X09_001_TX`
    `X09_009`
    `X09_009_TX`
    `X09_019`
    `X09_019_TX`
    `X24_009`
    `X24_019`
    `X24_038`
    `XB24_AXX_XX`
    `XB24_BXIX_XXX`
    `XB24_WF`
    `XB24C`
    `XB24C_TH_DIP`
    `XB900HP_NZ`
    `XBEE_CELL_TH`
    `XBP08_DXXX_XXX`
    `XBP09_DXIX_XXX`
    `XBP09_XCXX_XXX`
    `XBP24_AXX_XX`
    `XBP24_BXIX_XXX`
    `XBP24B`
    `XBP24C`
    `XBP24C_TH_DIP`
    `XC08_009`
    `XC08_038`
    `XC09_009`
    `XC09_038`
    `XH9_001`
    `XH9_001_TX`
    `XH9_009`
    `XH9_009_TX`
    `XH9_019`
    `XH9_019_TX`
    `XLR_BASEBOARD`
    `XLR_MODULE`
    `XSC_GEN3`
    `XT09_XXX`
    `XT09B_XXX`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HardwareVersionEnum` | `get(int value)` Returns the `HardwareVersionEnum` associated to the given numeric value.
    `String` | `getDescription()` Returns the hardware version description.
    `int` | `getValue()` Returns the Hardware version numeric value.
    `String` | `toString()`
    `static HardwareVersionEnum` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static HardwareVersionEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ABANDONATED

          public static final HardwareVersionEnum ABANDONATED

    - #### AMBER_MBUS

          public static final HardwareVersionEnum AMBER_MBUS

    - #### SMT_475LP

          public static final HardwareVersionEnum SMT_475LP

    - #### SMT_900LP

          public static final HardwareVersionEnum SMT_900LP

    - #### SMT_WIFI_ATHEROS

          public static final HardwareVersionEnum SMT_WIFI_ATHEROS

    - #### SRD_868_GEN3

          public static final HardwareVersionEnum SRD_868_GEN3

    - #### WIFI_ATHEROS

          public static final HardwareVersionEnum WIFI_ATHEROS

    - #### X08_004

          public static final HardwareVersionEnum X08_004

    - #### X09_001

          public static final HardwareVersionEnum X09_001

    - #### X09_001_TX

          public static final HardwareVersionEnum X09_001_TX

    - #### X09_009

          public static final HardwareVersionEnum X09_009

    - #### X09_009_TX

          public static final HardwareVersionEnum X09_009_TX

    - #### X09_019

          public static final HardwareVersionEnum X09_019

    - #### X09_019_TX

          public static final HardwareVersionEnum X09_019_TX

    - #### X24_009

          public static final HardwareVersionEnum X24_009

    - #### X24_019

          public static final HardwareVersionEnum X24_019

    - #### X24_038

          public static final HardwareVersionEnum X24_038

    - #### XB24_AXX_XX

          public static final HardwareVersionEnum XB24_AXX_XX

    - #### XB24_BXIX_XXX

          public static final HardwareVersionEnum XB24_BXIX_XXX

    - #### XB24_WF

          public static final HardwareVersionEnum XB24_WF

    - #### XB24C

          public static final HardwareVersionEnum XB24C

    - #### XB24C_TH_DIP

          public static final HardwareVersionEnum XB24C_TH_DIP

    - #### XB900HP_NZ

          public static final HardwareVersionEnum XB900HP_NZ

    - #### XBEE_CELL_TH

          public static final HardwareVersionEnum XBEE_CELL_TH

    - #### XBP08_DXXX_XXX

          public static final HardwareVersionEnum XBP08_DXXX_XXX

    - #### XBP09_DXIX_XXX

          public static final HardwareVersionEnum XBP09_DXIX_XXX

    - #### XBP09_XCXX_XXX

          public static final HardwareVersionEnum XBP09_XCXX_XXX

    - #### XBP24_AXX_XX

          public static final HardwareVersionEnum XBP24_AXX_XX

    - #### XBP24_BXIX_XXX

          public static final HardwareVersionEnum XBP24_BXIX_XXX

    - #### XBP24B

          public static final HardwareVersionEnum XBP24B

    - #### XBP24C

          public static final HardwareVersionEnum XBP24C

    - #### XBP24C_TH_DIP

          public static final HardwareVersionEnum XBP24C_TH_DIP

    - #### XC08_009

          public static final HardwareVersionEnum XC08_009

    - #### XC08_038

          public static final HardwareVersionEnum XC08_038

    - #### XC09_009

          public static final HardwareVersionEnum XC09_009

    - #### XC09_038

          public static final HardwareVersionEnum XC09_038

    - #### XH9_001

          public static final HardwareVersionEnum XH9_001

    - #### XH9_001_TX

          public static final HardwareVersionEnum XH9_001_TX

    - #### XH9_009

          public static final HardwareVersionEnum XH9_009

    - #### XH9_009_TX

          public static final HardwareVersionEnum XH9_009_TX

    - #### XH9_019

          public static final HardwareVersionEnum XH9_019

    - #### XH9_019_TX

          public static final HardwareVersionEnum XH9_019_TX

    - #### XLR_BASEBOARD

          public static final HardwareVersionEnum XLR_BASEBOARD

    - #### XLR_MODULE

          public static final HardwareVersionEnum XLR_MODULE

    - #### XSC_GEN3

          public static final HardwareVersionEnum XSC_GEN3

    - #### XT09_XXX

          public static final HardwareVersionEnum XT09_XXX

    - #### XT09B_XXX

          public static final HardwareVersionEnum XT09B_XXX

  - ### Method Detail

    - #### get

          public static HardwareVersionEnum get(int value)

      Returns the `HardwareVersionEnum` associated to the given numeric value.
      Parameters:
        `value` - Numeric value of the `HardwareVersionEnum` to retrieve.
      Returns:
        The `HardwareVersionEnum` associated to the given numeric value, `null` if there is not any `HardwareVersionEnum` associated to that value.

    - #### getDescription

          public String getDescription()

      Returns the hardware version description.
      Returns:
        The hardware version description.

    - #### getValue

          public int getValue()

      Returns the Hardware version numeric value.
      Returns:
        The hardware version numeric value.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<HardwareVersionEnum>`

    - #### valueOf

          public static HardwareVersionEnum valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static HardwareVersionEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HardwareVersionEnum c : HardwareVersionEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

© Copyright 2014–2014 Digi International Inc. All rights reserved.